Upstream information

CVE-2005-1046 at MITRE

Description

Buffer overflow in the kimgio library for KDE 3.4.0 allows remote attackers to execute arbitrary code via a crafted PCX image file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 78951 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
  • kdelibs3 >= 3.1.1-156
suse91.x86-64
ul1.ia64
ul1.ppc
ul1.s390
ul1.s390x
suse91.s390x
suse91.x86
slox4,2.x86
suse91.ia64
suse91.ppc
suse91.s390
ul1.x86-64
YOU Patch Nr: 10031
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • kdelibs3 >= 3.0.3-214
suse91.x86-64
ul1.ia64
ul1.ppc
ul1.s390
ul1.s390x
suse91.s390x
suse91.x86
slox4,2.x86
suse91.ia64
suse91.ppc
suse91.s390
ul1.x86-64
YOU Patch Nr: 10031
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM zSeries
UnitedLinux 1.0
  • kdelibs3 >= 3.0.3-214
  • kdelibs3-32bit >= 8.1-72
suse91.x86-64
ul1.ia64
ul1.ppc
ul1.s390
ul1.s390x
suse91.s390x
suse91.x86
slox4,2.x86
suse91.ia64
suse91.ppc
suse91.s390
ul1.x86-64
YOU Patch Nr: 10031
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • kdelibs3 >= 3.2.1-44.49
suse91.x86-64
ul1.ia64
ul1.ppc
ul1.s390
ul1.s390x
suse91.s390x
suse91.x86
slox4,2.x86
suse91.ia64
suse91.ppc
suse91.s390
ul1.x86-64
YOU Patch Nr: 10031
SuSE Linux 8.2 for IA32
  • kdelibs3 >= 3.1.1-156
SuSE Linux 9.0 for IA32
  • kdelibs3 >= 3.1.4-60
SuSE Linux 9.0 for AMD64
  • kdelibs3 >= 3.1.4-60
  • kdelibs3-32bit >= 9.0-4
SUSE LINUX 9.1 for IA32
  • kdelibs3 >= 3.2.1-44.49
SUSE LINUX 9.1 for x86-64
  • kdelibs3 >= 3.2.1-44.49
  • kdelibs3-32bit >= 9.1-200504222212
SUSE LINUX 9.2
  • kdelibs3 >= 3.3.0-34.7
  • kdelibs3-32bit >= 9.2-200504222102
SUSE LINUX 9.3
  • kdelibs3 >= 3.4.0-20.5
  • kdelibs3-32bit >= 9.3-7.2